Page MenuHomePhabricator

Create donation comment functionality
Closed, ResolvedPublic5 Estimate Story Points

Description

After making a donation, users are provided a link which allows them to write a donation comment. The link is not shown for bank transfer payments (the logic for this has already been implemented). In previous skins, the comment form was shown on a separate page, however, on Laika this is supposed to be implemented as a pop-up to ensure users remain on the donation confirmation page even if they would like to write a comment.

Popup component mockup

grid/spec:


visual:


in context of the page

in context of the page, mobile

After sending the Spendenkommentar

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 12:00 PM
Jan_Dittrich updated the task description. (Show Details)Aug 15 2019, 7:34 AM
Jan_Dittrich updated the task description. (Show Details)
Jan_Dittrich updated the task description. (Show Details)Aug 15 2019, 7:36 AM

The disabling of the "Write a comment button" would probably not retain its disabled state after reloading the page, we also do not check for that in the old skins and only show an error on submit when an existing comment is found.

@Jan_Dittrich following up on our discussion, we agreed we should replace the dropdowns with checkboxes. Can you please provide labels for them?

it should be

  • Ihren Kommentar öffentlich teilen (default: selected)
  • Ihren Namen am Kommentar nennen (default: not delected)

Tonina_Zhelyazkova_WMDE set the point value for this task to 5.Sep 3 2019, 7:42 AM

cat17 and 10h16 display the success messages that come from the server, either

Herzlichen Dank für Ihren Kommentar. Falls Sie den Kommentar öffentlicht gemacht haben, finden Sie ihn nun auf der <a href=\"/list-comments.html\">Liste der neuesten Spendenkommentare</a>

or

Herzlichen Dank für Ihren Kommentar. Irgendein Wort im Kommentar scheint problematisch zu sein, weshalb der Kommentar nicht unmittelbar veröffentlicht werden kann. Wir schauen uns das an und schalten den Kommentar gegebenenfalls frei. Wenn Sie Fragen haben, können Sie sich über das <a href=\"/contact/get-in-touch\">Kontaktformular</a> aber auch an uns direkt wenden.

What is your recommendation, @Jan_Dittrich ? Keep the short "Danke für Ihren Spendenkommentar!" or display the message?

Jan_Dittrich added a comment.EditedSep 5 2019, 7:15 AM

Do we know if people made their Kommentar öffentlich? If yes, we could just have

Danke für Ihren Spendenkommentar!

and link the word "Spendenkommentar" to the list.

as for

Herzlichen Dank für Ihren Kommentar. Irgendein Wort im Kommentar scheint problematisch zu sein, weshalb der Kommentar nicht unmittelbar veröffentlicht werden kann. Wir schauen uns das an und schalten den Kommentar gegebenenfalls frei. Wenn Sie Fragen haben, können Sie sich über das <a href=\"/contact/get-in-touch\">Kontaktformular</a> aber auch an uns direkt wenden.

– can we show this in a popup, basically by swapping the content of the comment popup or so?

I would nevertheless shorten it, it is too long to understand easily.

What should be implemented:
In case of server response OK and message being "we have to moderate/review your comment first.." we will swap the contents of the popup and display that message with the only possibility of the popup to be closed.
In case of server response OK and message being something else we just display "Thanks for you comment" instead of the link.
In case of server response ERR we display a generic error message under the text field.

kai.nissen closed this task as Resolved.Mon, Jan 13, 10:56 AM